Subject: Re: [PATCH] gnu: newlib-nano: Fix nano lib and header paths
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 12 Apr 2021 11:25:06 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Apr 08, 2021 at 09:02:20AM -0400, [email-masked] wrote:
> From: Morgan Smith <[email-masked]>
> 
> * gnu/packages/embedded.scm (newlib-nano-arm-none-eabi)[arguments]: Hard link
> library files from *.a to *_nano.a. Hard link newlib.h to a common location.
> ---
> 
> I CC'd Efraim because they commited my last gcc-arm-none-eabi patch. I hope
> that's ok. I'm not really sure who is responsible for this toolchain.
> 
> I successfully compiled some QMK firmware using this patch, something that
> failed previously.
> 

No one is really in charge of the cross toolchains, it's more of when it
becomes relevant to someone and it's time to fix something.

It looks good to me, I made a small change, changing link to symlink and
made the link relative. I thought about factoring out 'lib' or '.a' from
the find-files but ultimately decided against it, I think it's probably
easier to read as-is.

Patch pushed! Feel free to tag me on other ones like this too.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted